Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.simpleAccesstracking
Class LinkEventAdder

    java.lang.Object
      com.ibm.wbi.Meg
          com.ibm.wbi.Editor
              com.ibm.wbi.protocol.http.HttpEditor
                  scone.proxy.HtmlTokenEditor
                      scone.simpleAccesstracking.LinkEventAdder

All Implemented Interfaces:
  java.util.EventListener, com.ibm.wbi.RequestListener, java.io.Serializable

public class LinkEventAdder
extends HtmlTokenEditor

Adds onClick-Events to all A and AREA elements.

These Events set the linkId, which will be sent to the proxy for user action tracking.

The following Code is inserted: `onClick="_scone_setlink(linkId);"`, where linkId is the number of that link. The JavaScript function `_scone_setlink()` is defined in the ActionTrackingMeg.

Author:
  Harald Weinreich, Volkert Buchmann
See Also:
  Serialized Form

Field Summary

Fields inherited from class scone.proxy.HtmlTokenEditor
`COPYRIGHT, e`

Fields inherited from class com.ibm.wbi.Meg
`EDITOR, GENERATOR, MONITOR, REQUEST_EDITOR, UNDEFINED`

Constructor Summary
`LinkEventAdder()`

Method Summary
`void` | `handleRequest(SconePipe pipe)` accepts all links

Methods inherited from class scone.proxy.HtmlTokenEditor
`handleRequest, setResponseHeaderField`

Methods inherited from class com.ibm.wbi.Editor
`getType`

Methods inherited from class com.ibm.wbi.Meg
`forwardRequest, getCondition, getEnabled, getMegProperty, getMegProperty, getMegPropertyKeys, getName, getPlugin, getPriority, getSystemContext, initialize, initialize, isEnabled, isMegApplicable, loadMegResources, run, setCondition, setEnabled, setMegProperty, setName, setPriority, setSystemContext, setup, setup, setup, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkEventAdder

    public LinkEventAdder()

Method Detail

### handleRequest

    public void handleRequest(SconePipe pipe)

  accepts all links

  Specified by:
    `handleRequest` in class `HtmlTokenEditor`
  Parameters:
    `pipe` - the SconePipe containing the document.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD